//=========================================================================
//
//	FILE:				Undo_TestView.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			CP_View class to draw items to demonstrate undo/redo.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 5 $
//						Latest Checkout:  $Date: 2005-08-30 20:34:20 -0700 (Tue, 30 Aug 2005) $
//
//=========================================================================

#ifndef _H_Undo_TestView
#define _H_Undo_TestView
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_View.h"

/*!
*	\class	Undo_TestView
*	\brief	CP_View class to draw items to demonstrate undo/redo.
*/
class CP_EXPORT Undo_TestView : public CPLAT::CP_View
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										Undo_TestView(
												CPLAT::CP_View *inSuperview,
												const CPLAT::CP_Point& inUpperLeft,
												const CPLAT::CP_Size& inContentSize );
	//! Destructor.
	virtual								~Undo_TestView() throw();
	//@}
			
protected:
	//! @name Drawing
	//@{
	virtual	void						OnDraw(
												CPLAT::CP_Canvas& inCanvas,
												CPLAT::CP_Region& inUpdateArea );
	//@}

	// class data
protected:
	
//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
#endif

#if TARGET_OS_WIN32
#endif

#if TARGET_OS_LINUX
#endif
};

#endif	// _H_Undo_TestView

