//=========================================================================
//
//	FILE:				CP_Bezier.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Bezier shape class.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_Bezier
#define _H_CP_Bezier
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_Canvas.h"
#include "CP_Point.h"
#include "CP_Types.h"

CPLAT_Begin_Namespace_CPLAT

class CP_EXPORT CP_Bezier
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										CP_Bezier();
										CP_Bezier( CP_Point inPoints[4] );
	//! Destructor.
	virtual								~CP_Bezier();
	//@}
								
	//! @name Drawing
	//@{
			void						Draw( CP_Canvas& inDestCanvas );
			void						Draw(
												CP_Canvas& inDestCanvas,
												CP_Point inPoints[4] );
	//@}
		
	// class data
protected:
	CP_Point							fPoints[ 4 ];		/*! Points used to control drawing.  */
	
//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
private:
	//! @name Misc
	//@{
			void						ComputeSegmets(
												CP_Point inPoints[4],
												CP_Point segment[] );

			void						SetupBezier();
	//@}
#endif

#if TARGET_OS_WIN32
#endif

#if TARGET_OS_LINUX
#endif
};

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_Bezier


