//=========================================================================
//
//	FILE:				CP_FrameworkFlags.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Flags that define various compile type features used
//						in the CPLAT framework.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 159 $
//						Latest Checkout:  $Date: 2005-04-27 15:56:44 -0700 (Wed, 27 Apr 2005) $
//
//=========================================================================
#ifndef _H_CP_FrameworkFlags
#define _H_CP_FrameworkFlags
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

//=======================================================================
// C O M P I L E R  D E F I N E S
//=======================================================================
#if __MWERKS__
	#define TARGET_CC_METROWERKS				__MWERKS__		// use the defined MWERKS version
	#define TARGET_CC_MSVC						0
	#define TARGET_CC_GNUC						0
#endif

#if MSVC || _MSC_VER
	#define TARGET_CC_METROWERKS				0
	#define TARGET_CC_MSVC						1
	#define TARGET_CC_GNUC						0
#endif

#if __GNUC__
	#define TARGET_CC_METROWERKS				0
	#define TARGET_CC_MSVC						0
	#define TARGET_CC_GNUC						1
#endif

//=======================================================================
// N A M E S P A C E   S U P P O R T
//=======================================================================
#ifndef CPLAT_Uses_CPLAT_Namespace
	#define CPLAT_Uses_CPLAT_Namespace		1		// Default: use namespace for CPLAT framework
#endif

#if CPLAT_Uses_CPLAT_Namespace
	#define CPLAT_Begin_Namespace_CPLAT		namespace CPLAT {
	#define CPLAT_End_Namespace_CPLAT		}
	#define CPLAT_Using_Namespace_CPLAT		using namespace CPLAT;
	#define CPLAT							CPLAT
#else
	#define CPLAT_Begin_Namespace_CPLAT
	#define CPLAT_End_Namespace_CPLAT
	#define CPLAT_Using_Namespace_CPLAT
	#define CPLAT
#endif

//=======================================================================
// D L L   S U P P O R T
//=======================================================================
#ifndef CP_EXPORT
	#define CP_EXPORT
#endif

#if __CP_FRAMEWORK_DLL__
	#ifndef CP_EXPORT
		#if TARGET_OS_MAC
			#define CP_EXPORT
		#else
			#define CP_EXPORT __declspec(dllexport)
		#endif
	#endif
#endif

#if __CP_FRAMEWORK_DLL_APP__
	#ifndef CP_EXPORT
		#if TARGET_OS_MAC
			#define CP_EXPORT
		#else
			#define CP_EXPORT __declspec(dllimport)
		#endif
	#endif
#endif

#if ! defined(__CP_FRAMEWORK_DLL__) || ! defined(__CP_FRAMEWORK_DLL_APP__)
	#ifndef CP_EXPORT
		#define CP_EXPORT
	#endif
#endif

//=======================================================================
// T H R E A D I N G   S U P P O R T
//=======================================================================
#if TARGET_OS_MAC
	#if TARGET_RT_MAC_MACHO
		#ifndef CP_ThreadingAPI_PThread
			#define CP_ThreadingAPI_PThread				1
		#endif
	#else
		#ifndef CP_ThreadingAPI_Cooperative
			#define CP_ThreadingAPI_Cooperative			1
		#endif
	#endif
#endif
#if TARGET_OS_WIN32
	#ifndef CP_ThreadingAPI_WinThread
		#define CP_ThreadingAPI_WinThread			1
	#endif
#endif
#if TARGET_OS_LINUX
	#ifndef CP_ThreadingAPI_PThread
		#define CP_ThreadingAPI_PThread				0
	#endif
#endif

// default all non-set to 0
#ifndef CP_ThreadingAPI_PThread
	#define CP_ThreadingAPI_PThread				0
#endif

#ifndef CP_ThreadingAPI_Cooperative
	#define CP_ThreadingAPI_Cooperative			0
#endif

#ifndef CP_ThreadingAPI_MPTask
	#define CP_ThreadingAPI_MPTask				0
#endif

#ifndef CP_ThreadingAPI_WinThread
	#define CP_ThreadingAPI_WinThread			0
#endif

#endif	// _H_CP_FrameworkFlags

