//=========================================================================
//
//	FILE:				CP_InternetDefines.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Various definitions unsed in the CPLAT internet protocol
//						classes.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_InternetDefines
#define _H_CP_InternetDefines
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

CPLAT_Begin_Namespace_CPLAT

#define kCP_MailMessage_Header_CPLAT_X_MailerVers			"CPLAT_MailMessage v1.0"

#define kCP_MailMessage_Header_BodyDivider					"\r\n\r\n"
#define kCP_MailMessage_EndOfMessageTerminator				"\r\n.\r\n"
#define kCP_Mail_EndOfLineTerminator						".\r\n"

#define kCP_MailMessage_HeaderFromItem						"From: "
#define kCP_MailMessage_HeaderToItem						"To: "
#define kCP_MailMessage_HeaderCCItem						"Cc: "
#define kCP_MailMessage_HeaderSubjectItem					"Subject: "
#define kCP_MailMessage_HeaderDateItem						"Date: "
#define kCP_MailMessage_HeaderXMailerItem					"X-Mailer: "

#define kCP_HeaderField_ContentEncoding						"Content-Transfer-Encoding: "
#define kCP_HeaderField_ContentDisposition					"Content-Disposition: "
#define kCP_Header_ContentType_OctetStream					"application/octet-stream";
#define kCP_Header_Content_Encoding_Base64					"base64";

	// MIME message handling
#define kCP_MIMEHeader_Default_MIMEVers						"1.0"
#define kCP_MIMEHeader_FieldMIME							"MIME-Version: "
#define kCP_MIMEHeader_MIMEBoundaryTag						"boundary="

#define kCP_HeaderField_ContentType							"Content-Type: "
#define kCP_Header_DefaultContentType						"text/plain; charset=\"us-ascii\""
#define kCP_Header_MultiContentType							"multipart"
#define kCP_Header_MixedContentType							"multipart/mixed"

#define kCP_Header_UserAgent								"User-Agent"

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_InternetDefines
