//=========================================================================
//
//	FILE:				CP_STLArrayDefines.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Array definitions for common CPLAT types.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_STLArrayDefines
#define _H_CP_STLArrayDefines
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_Point.h"
#include "CP_String.h"
#include "CP_Types.h"

	// Standard Library
#include <vector>

CPLAT_Begin_Namespace_CPLAT

	// typedefs
#if ! TARGET_OS_LINUX
	typedef std::vector<CP_String, std::allocator<CP_String> >						CP_Strings_Array;
	typedef std::vector<CP_String, std::allocator<CP_String> >::iterator			CP_Strings_Iterator;
	typedef std::vector<CP_String, std::allocator<CP_String> >::reverse_iterator	CP_Strings_ReverseIterator;

	typedef std::vector<SInt32, std::allocator<SInt32> >							CP_SInt32s_Array;
	typedef std::vector<SInt32, std::allocator<SInt32> >::iterator					CP_SInt32s_Iterator;
	typedef std::vector<SInt32, std::allocator<SInt32> >::reverse_iterator			CP_SInt32s_ReverseIterator;

	typedef std::vector<UInt32, std::allocator<UInt32> >							CP_UInt32s_Array;
	typedef std::vector<UInt32, std::allocator<UInt32> >::iterator					CP_UInt32s_Iterator;
	typedef std::vector<UInt32, std::allocator<UInt32> >::reverse_iterator			CP_UInt32s_ReverseIterator;

	typedef std::vector<SInt16, std::allocator<SInt16> >							CP_SInt16s_Array;
	typedef std::vector<SInt16, std::allocator<SInt16> >::iterator					CP_SInt16s_Iterator;
	typedef std::vector<SInt16, std::allocator<SInt16> >::reverse_iterator			CP_SInt16s_ReverseIterator;

	typedef std::vector<UInt16, std::allocator<UInt16> >							CP_UInt16s_Array;
	typedef std::vector<UInt16, std::allocator<UInt16> >::iterator					CP_UInt16s_Iterator;
	typedef std::vector<UInt16, std::allocator<UInt16> >::reverse_iterator			CP_UInt16s_ReverseIterator;

	typedef std::vector<CP_Point, std::allocator<CP_Point> >						CP_Points_Array;
	typedef std::vector<CP_Point, std::allocator<CP_Point> >::iterator				CP_Points_Iterator;
	typedef std::vector<CP_Point, std::allocator<CP_Point> >::reverse_iterator		CP_Points_ReverseIterator;
#else
	typedef std::vector<CP_String>													CP_Strings_Array;
	typedef std::vector<CP_String>::iterator										CP_Strings_Iterator;
	typedef std::vector<CP_String>::reverse_iterator								CP_Strings_ReverseIterator;

	typedef std::vector<SInt32>														CP_SInt32s_Array;
	typedef std::vector<SInt32>::iterator											CP_SInt32s_Iterator;
	typedef std::vector<SInt32>::reverse_iterator									CP_SInt32s_ReverseIterator;

	typedef std::vector<UInt32>														CP_UInt32s_Array;
	typedef std::vector<UInt32>::iterator											CP_UInt32s_Iterator;
	typedef std::vector<UInt32>::reverse_iterator									CP_UInt32s_ReverseIterator;

	typedef std::vector<SInt16>														CP_SInt16s_Array;
	typedef std::vector<SInt16>::iterator											CP_SInt16s_Iterator;
	typedef std::vector<SInt16>::reverse_iterator									CP_SInt16s_ReverseIterator;

	typedef std::vector<UInt16>														CP_UInt16s_Array;
	typedef std::vector<UInt16>::iterator											CP_UInt16s_Iterator;
	typedef std::vector<UInt16>::reverse_iterator									CP_UInt16s_ReverseIterator;

	typedef std::vector<CP_Point>													CP_Points_Array;
	typedef std::vector<CP_Point>::iterator											CP_Points_Iterator;
	typedef std::vector<CP_Point>::reverse_iterator									CP_Points_ReverseIterator;
#endif

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_STLArrayDefines
