//=========================================================================
//
//	FILE:				CP_Errors.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Definitions of errors used in CPLAT.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 106 $
//						Latest Checkout:  $Date: 2005-03-21 15:03:06 -0800 (Mon, 21 Mar 2005) $
//
//=========================================================================
#ifndef _H_CP_Errors
#define _H_CP_Errors
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_OSTypes.h"
#include "CP_Types.h"

//=========================================================================
// Error codes
//=========================================================================
#if TARGET_OS_WIN32 || TARGET_OS_LINUX
	// Common errors we define for Windows / Linux use to match MacOS version.
enum
{
	CP_noErr                         							= 0,
	CP_eventNotHandledErr										= -9874,
	CP_fnfErr													= -43,
	CP_paramErr													= -50,
	CP_resNotFound												= -192,
	CP_procNotFound												= -600,
	CP_eofErr													= -39
};
#else
enum
{
	CP_noErr                         							= noErr,
	CP_eventNotHandledErr										= eventNotHandledErr,
	CP_fnfErr													= fnfErr,
	CP_paramErr													= paramErr,
	CP_resNotFound												= resNotFound,
	CP_eofErr													= eofErr
};
#endif	// TARGET_OS_WIN32 || TARGET_OS_LINUX

CPLAT_Begin_Namespace_CPLAT

	// Sockets
const SInt16 CP_Err_SocketErr									= 1300;
const SInt16 CP_Err_CouldNotGetHost								= 1301;
const SInt16 CP_Err_CouldNotOpenSocket							= 1302;
const SInt16 CP_Err_CouldNotConnectToSocket						= 1303;
const SInt16 CP_Err_SendingToSocket								= 1304;
const SInt16 CP_Err_ReceivingFromSocket							= 1305;
const SInt16 CP_Err_CouldNotConnectToSocket_Timeout 			= 1306;
const SInt16 CP_Err_CouldNotAccept_TooManyFilesOpen 			= 1307;
const SInt16 CP_Err_CouldNotAccept_Abort						= 1308;

	// Internet Protocol
const SInt16 kCP_Err_ServerReplyError							= 1400;
const SInt16 kCP_Err_SMTPEncodingError							= 1401;

	// OpenGL
const SInt16 kCP_Err_OpenGL_AGLConextError						= 1500;

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_Errors

