/*
=========================================================================

	FILE:		CP_Graphics_Imp_GDK.h
	
				Copyright  2002-2003. Ken Stahlman. All Rights Reserved.
	
	PURPOSE:	MacOS Quartz implementation of the CP_Graphics class.  
	
	HISTORY:	1st Version - January 2002.
	
	NOTES:		- none -

	VERSION:	Current Revision: $Revision: 2 $
				Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $

=========================================================================
*/
#ifndef _H_CP_Graphics_Imp_GDK
#define _H_CP_Graphics_Imp_GDK
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

#if TARGET_OS_LINUX

	// CPLAT_Framework
#include "CP_Graphics_Imp.h"
#include "CP_StTextStateSaver.h"
#include "CP_StColorStateSaver.h"
#include "CP_StPenStateSaver.h"

CPLAT_Begin_Namespace_CPLAT

class CP_EXPORT CP_Graphics_Imp_GDK : public CP_Graphics_Imp
{
public:
									// Contstruction / Destruction
										CP_Graphics_Imp_GDK( CP_Canvas& inDestCanvas );
	virtual								~CP_Graphics_Imp_GDK();

	virtual	void						SetAlpha( float inAlpha );
	virtual	void						SetLineWidth( float lineWidth );
	virtual	void						SetStrokeColor( CP_ARGBColor& inStrokeColor );
	virtual void						SetFillColor( CP_ARGBColor& inFillColor );

											// Lines
	virtual	void						Line(
												const CP_Point& inPoint,
												const CP_Size& inSize );
	virtual	void						Line(
												float inStartHorLocation,
												float inStartVerLocation,
												float inEndHorLocation,
												float inEndVerLocation );

									// Text
	virtual	void						DrawString(
												CP_FontSpec& inFontSpec,
												const CP_String& inText,
												const CP_Point& inStartPoint );
	virtual	void						DrawText(
												CP_FontSpec& inFontSpec,
												const CP_String& inText,
												const CP_Rect& inBounds,
												SInt16 inHorAlign = CP_E_TextAlign_HorLeft,
												SInt16 inVerAlign = CP_E_TextAlign_VerTop );

protected:

private:
			
	// class data
protected:
	CP_StTextStateSaver					fTextState;
	CP_StColorStateSaver				fColorState;
	CP_StPenStateSaver					fPenState;
};

CPLAT_End_Namespace_CPLAT

#endif	// TARGET_OS_LINUX

//=========================================================================
//	REVISION HISTORY:
//
//	$Log$
//
//=========================================================================

#endif	// _H_CP_Graphics_Imp_GDK
