//=========================================================================
//
//	FILE:				CP_AE_Exceptions.h
//	
//						Copyright  2005. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Exception classes for AppleEvents.
//	
//	HISTORY:			1st Version - May 2005.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev:$
//						Latest Checkout:  $Date:$
//
//=========================================================================
#ifndef _H_CP_AE_Exceptions
#define _H_CP_AE_Exceptions
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

#if TARGET_OS_MAC

	// CPLAT_Framework
#include "CP_Exceptions.h"
#include "CP_OSStatus.h"

CPLAT_Begin_Namespace_CPLAT

class CP_AE_NoElementOfThisType_Exception : public CPLAT::CP_OSErrorException
{ 
public: 
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										CP_AE_NoElementOfThisType_Exception(
												const char *inFunction,
												int inLine,
												const char *inFile );
	virtual								~CP_AE_NoElementOfThisType_Exception() throw();
	//@}
			
	//! @name Getters
	//@{
	virtual const char					*what() const throw();
	//@}

	// class data
private:
	const char							*fMessage;
	const char 							*fFunction;
	const char 							*fFile;
	int									fLine;
	char								fMessageBuffer[ 512 ];
};

class CP_AE_EventNotHandled_Exception : public CPLAT::CP_OSErrorException
{ 
public: 
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										CP_AE_EventNotHandled_Exception(
												const char *inFunction,
												int inLine,
												const char *inFile );
	virtual								~CP_AE_EventNotHandled_Exception() throw();
	//@}
			
	//! @name Getters
	//@{
	virtual const char					*what() const throw();
	//@}

	// class data
private:
	const char							*fMessage;
	const char 							*fFunction;
	const char 							*fFile;
	int									fLine;
	char								fMessageBuffer[ 512 ];
};

//=========================================================================
//	Exception routines	
//=========================================================================
void CP_AE_NoElementOfThisTypeException_( const char *inFunction, int inLine, const char *inFile );
void CP_AE_EventNotHandledException_( const char *inFunction, int inLine, const char *inFile );

#define CP_AE_NoElementOfThisTypeException()			CP_AE_NoElementOfThisTypeException_( __FUNCTION__, __LINE__, __FILE__ )
#define CP_AE_EventNotHandledException()				CP_AE_EventNotHandledException_( __FUNCTION__, __LINE__, __FILE__ )

CPLAT_End_Namespace_CPLAT

#endif	// TARGET_OS_MAC

#endif	// _H_CP_AE_Exceptions

