/*
=========================================================================

	FILE:		CP_AppleEvents_Mach.r
	
				Author:	Ken Stahlman
				Copyright  1999 Ken Stahlman. All Rights Reserved.
	
	PURPOSE:	Defines for the AppleEvent resources used with CPLAT.
	
	HISTORY:	1st Version - Monday, June 28, 1999.

	VERSION:	Current Revision: $Rev: 2 $
				Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $

=========================================================================
*/

	// CPLAT_Framework
//#include "CP_AE_Defines.h"

	// Apple Includes
#include <Carbon/Carbon.r>

resource 'aedt' (128, "Required Suite")
{
	{
		'aevt', 'oapp', 1001, /*kCP_AppleEvent_OpenApp,*/
		'aevt', 'odoc', 1002, /*kCP_AppleEvent_OpenDoc,*/
		'aevt', 'pdoc', 1003, /*kCP_AppleEvent_PrintDoc,*/
		'aevt', 'quit', 1004, /*kCP_AppleEvent_QuitApp,*/
		'aevt', 'pref', 1005, /*kCP_AppleEvent_Preferences*/
	}
};

resource 'aedt' (129, "Core Suite")
{
	{
		'core', 'clon', 2001, /*kCP_AppleEvent_Clone,*/
		'core', 'clos', 2202, /*kCP_AppleEvent_Close,*/
		'core', 'cnte', 2003, /*kCP_AppleEvent_CountElements,*/
		/*'core', 'crel', kCP_AppleEvent_CreateElement,*/		/* we have a special handler for this event */
		'core', 'delo', 2005, /*kCP_AppleEvent_Delete,*/
		'core', 'doex', 2006, /*kCP_AppleEvent_DoesObjectExist,*/
		'core', 'qobj', 2007, /*kCP_AppleEvent_GetClassInfo,*/
		'core', 'getd', 2008, /*kCP_AppleEvent_GetData,*/
		'core', 'dsiz', 2009, /*kCP_AppleEvent_GetDataSize,*/
		'core', 'gtei', 2010, /*kCP_AppleEvent_GetInfo,*/
		'core', 'move', 2011, /*kCP_AppleEvent_Move,*/
		'core', 'save', 2012, /*kCP_AppleEvent_Save,*/
		'core', 'setd', 2013, /*kCP_AppleEvent_SetData,*/
		'core', 'pref', 2014, /*kCP_AppleEvent_Preferences*/
	}
};

resource 'aedt' (130, "Misc Standards")
{
	{
		'aevt', 'obit', 3001, /*kCP_AppleEvent_ApplicationDied,*/
		'misc', 'begi', 3002, /*kCP_AppleEvent_BeginTransaction,*/
		'misc', 'copy', 3003, /*kCP_AppleEvent_Copy,*/
		'misc', 'cpub', 3004, /*kCP_AppleEvent_CreatePublisher,*/
		'misc', 'cut ', 3005, /*kCP_AppleEvent_Cut,*/
		'misc', 'dosc', 3006, /*kCP_AppleEvent_DoScript,*/
		'misc', 'edit', 3007, /*kCP_AppleEvent_EditGraphic,*/
		'misc', 'endt', 3008, /*kCP_AppleEvent_EndTransaction,*/
		'misc', 'imgr', 3009, /*kCP_AppleEvent_ImageGraphic,*/
		'misc', 'isun', 3010, /*kCP_AppleEvent_IsUniform,*/
		'misc', 'mvis', 3011, /*kCP_AppleEvent_MakeObjectVisible,*/
		'misc', 'past', 3012, /*kCP_AppleEvent_Paste,*/
		'misc', 'redo', 3013, /*kCP_AppleEvent_Redo,*/
		'misc', 'rvrt', 3014, /*kCP_AppleEvent_Revert,*/
		'misc', 'ttrm', 3015, /*kCP_AppleEvent_TransactionTerminated,*/
		'misc', 'undo', 3016, /*kCP_AppleEvent_Undo,*/
		'misc', 'slct', 3017, /*kCP_AppleEvent_Select*/
	}
};
