//=========================================================================
//
//	FILE:				CP_Debug.r
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Rez definitions for the alerts used in debugging and
//						error messages.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef __CP_DEBUG_R__
#define __CP_DEBUG_R__

	// CPLAT_Framework
#include "CP_MenuItemEnableFlags.h"

	// Apple Includes
#include <Carbon.r>

resource 'ALRT' (128, "Assertion Alert", purgeable) {
	{104, 130, 282, 540},
	128,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	},
	alertPositionMainScreen
};

resource 'ALRT' (129, "Debugging Assertion Alert", purgeable) {
	{104, 130, 282, 540},
	129,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	},
	alertPositionMainScreen
};

resource 'ALRT' (130, "Exception Alert", purgeable) {
	{104, 130, 282, 540},
	130,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	},
	alertPositionMainScreen
};

resource 'ALRT' (131, "Debugging Exception Alert", purgeable) {
	{104, 130, 367, 606},
	131,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	},
	alertPositionMainScreen
};

resource 'ALRT' (132, "Exception w/Error Description Alert", purgeable) {
	{104, 130, 366, 624},
	132,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	},
	alertPositionMainScreen
};

resource 'ALRT' (133, "Debugging Exception w/ Error Description Alert", purgeable) {
	{104, 130, 282, 540},
	133,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	},
	alertPositionMainScreen
};

resource 'DITL' (128, "Assertion DITL", purgeable) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{146, 330, 166, 390},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{10, 75, 135, 393},
		StaticText {
			disabled,
			"Assertion thrown\n\nFile: ^0\nLine # ^1\nCon"
			"dition: ^2\n^3"
		}
	}
};

resource 'DITL' (129, "Debug Assertion DITL", purgeable) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{146, 335, 166, 395},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{10, 75, 138, 395},
		StaticText {
			disabled,
			"Assertion thrown\n\nFile: ^0\nLine # ^1\nCon"
			"dition: ^2\nMessage: ^3"
		},
		/* [3] */
		{146, 242, 166, 318},
		Button {
			enabled,
			"Debugger"
		}
	}
};

resource 'DITL' (130, "Exception DITL", purgeable) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{146, 330, 166, 390},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{10, 75, 135, 393},
		StaticText {
			disabled,
			"Exception thrown\n\nFile: ^0\nLine # ^1\nCon"
			"dition: ^2\n^3"
		}
	}
};

resource 'DITL' (131, "Debug Exception DITL", purgeable) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{226, 385, 246, 445},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{9, 75, 205, 448},
		StaticText {
			disabled,
			"Exception thrown\n\nFile: ^0\nLine # ^1\nFun"
			"ction: ^2\nCondition: ^3"
		},
		/* [3] */
		{226, 292, 246, 368},
		Button {
			enabled,
			"Debugger"
		}
	}
};

resource 'DITL' (132, "Exception w/ Error Description DITL", purgeable) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{224, 413, 244, 473},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{10, 75, 206, 467},
		StaticText {
			disabled,
			"Exception thrown\n\nFile: ^0\nLine # ^1\nErr"
			"or Number: ^2\nDescription: ^3"
		}
	}
};

resource 'DITL' (133, "Debug Exception w/ Error Description DITL", purgeable) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{144, 335, 164, 395},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{10, 75, 137, 396},
		StaticText {
			disabled,
			"Exception thrown\n\nFile: ^0\nLine # ^1\nErr"
			"or Number: ^2\nDescription: ^3"
		},
		/* [3] */
		{144, 242, 164, 318},
		Button {
			enabled,
			"Debugger"
		}
	}
};

#endif /* __CP_DEBUG_R__ */
